<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>pt</artifactId>
        <groupId>com.dxhy</groupId>
        <version>8.0.6</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.dxhy.jxpt</groupId>
    <artifactId>dxhy-base-service</artifactId>
    <version>${jxpt.version}</version>
    <packaging>jar</packaging>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <dependencies>
        <dependency>
            <groupId>com.dxhy.jxpt</groupId>
            <artifactId>dxhy-common</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.dxhy.common</groupId>-->
<!--            <artifactId>sims-base-generatepdf</artifactId>-->
<!--            <version>8.0.6-SNAPSHOT</version>-->
<!--            &lt;!&ndash;            <exclusions>&ndash;&gt;-->
<!--            &lt;!&ndash;                <exclusion>&ndash;&gt;-->
<!--            &lt;!&ndash;                    <groupId>com.itextpdf</groupId>&ndash;&gt;-->
<!--            &lt;!&ndash;                    <artifactId>kernel</artifactId>&ndash;&gt;-->
<!--            &lt;!&ndash;                </exclusion>&ndash;&gt;-->
<!--            &lt;!&ndash;                <exclusion>&ndash;&gt;-->
<!--            &lt;!&ndash;                    <groupId>com.itextpdf</groupId>&ndash;&gt;-->
<!--            &lt;!&ndash;                    <artifactId>io</artifactId>&ndash;&gt;-->
<!--            &lt;!&ndash;                </exclusion>&ndash;&gt;-->
<!--            &lt;!&ndash;            </exclusions>&ndash;&gt;-->
<!--        </dependency>-->
        <dependency>
            <groupId>com.dxhy</groupId>
            <artifactId>dxhy-jxpt-utils</artifactId>
            <version>1.0.11</version>
        </dependency>
        <dependency>
            <groupId>com.dxhy.jxpt</groupId>
            <artifactId>dxhy-ofd</artifactId>
            <version>3.4.31</version>
            <exclusions>
                <exclusion>
                    <groupId>com.dxhy.common</groupId>
                    <artifactId>sims-base-generatepdf</artifactId>
                </exclusion>
                    <exclusion>
                        <groupId>com.thoughtworks.xstream</groupId>
                        <artifactId>xstream</artifactId>
                    </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.dxhy.jxpt</groupId>
            <artifactId>dxhy-oss</artifactId>
            <version>3.3.12</version>
        </dependency>
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>2.6</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

</project>